## python-pytest-toolbox 0.4

=== Makefile ===
.DEFAULT_GOAL := all

.PHONY: install
install:
	pip install -U pip setuptools
	pip install -r tests/requirements.txt
	pip install -e .

.PHONY: isort
isort:
	isort -rc -w 120 pytest_toolbox
	isort -rc -w 120 tests

.PHONY: lint
lint:
	flake8 pytest_toolbox/ tests/
	pytest pytest_toolbox -p no:sugar -q --cache-clear
	coverage run setup.py check -rms

.PHONY: test
test:
	py.test --cov=pytest_toolbox

.PHONY: testcov
testcov:
	py.test --cov=pytest_toolbox && (echo "building coverage html"; coverage combine; coverage html)

.PHONY: all
all: testcov lint

=== tests/requirements.txt ===
Pygments==2.2.0
coverage==4.5.1
docutils==0.14
flake8==3.5.0
pydantic==0.8
pycodestyle==2.3.1
pyflakes==1.6.0
pytest==3.5.0
pytest-cov==2.5.1
pytest-isort==0.1.0
pytest-mock==1.7.1
pytest-sugar==0.9.1

=== debian/changelog ===
python-pytest-toolbox (0.4-6) unstable; urgency=medium

  * Team upload.
  * Trim autopkgtest dependencies
  * This enable us to see that this package uses distutils.version at runtime,
    so add a new dependency on python3-setuptools.

 -- Alexandre Detiste <tchet@debian.org>  Fri, 14 Feb 2025 11:29:10 +0100

python-pytest-toolbox (0.4-5) unstable; urgency=medium

  * Team upload.
  * Use Pydantic legacy V1 API (Closes: #1077457)

 -- Alexandre Detiste <tchet@debian.org>  Thu, 08 Aug 2024 20:53:06 +0200

python-pytest-toolbox (0.4-4) unstable; urgency=medium

  * Team upload.
  * Make Python warnings non-fatal (Closes: #1058312)
  * Remove superfluous copy of test files

 -- Timo Röhling <roehling@debian.org>  Sat, 16 Dec 2023 21:42:52 +0100

python-pytest-toolbox (0.4-3) unstable; urgency=medium

  * Team upload.
  * Explicitly depend on python3-py
  * Bump Standards-Version to 4.6.2
  * Migrate to autopkgtest-pkg-pybuild

 -- Timo Röhling <roehling@debian.org>  Wed, 05 Jul 2023 21:04:31 +0200

python-pytest-toolbox (0.4-2) unstable; urgency=medium

  * Team upload.
  * No source change source-only upload for testing migration.
  * debian/tests/control: Add missing dependency python3-all (lintian).
    (runtime-test-file-uses-supported-python-versions-without-test-depends)

 -- Boyuan Yang <byang@debian.org>  Fri, 19 Nov 2021 09:40:28 -0500

python-pytest-toolbox (0.4-1) unstable; urgency=low

  * Initial release (Closes: #997043).

 -- Michael Fladischer <fladi@debian.org>  Mon, 25 Oct 2021 19:21:46 +0000

=== debian/control ===
Source: python-pytest-toolbox
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Michael Fladischer <fladi@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all,
 python3-pydantic (>= 2.0~) <!nocheck>,
 python3-pytest <!nocheck>,
 python3-py,
 python3-pytest-timeout <!nocheck>,
 python3-setuptools,
Standards-Version: 4.6.2
Homepage: https://github.com/samuelcolvin/pytest-toolbox
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pytest-toolbox
Vcs-Git: https://salsa.debian.org/python-team/packages/python-pytest-toolbox.git
Rules-Requires-Root: no

Package: python3-pytest-toolbox
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 python3-py,
 python3-setuptools,
Description: asorted useful plugins for pytest (Python3 version)
 Numerous useful plugins for pytest like fixtures, methods and comparison
 objects.
 .
 This package contains the Python 3 version of the library.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=pytest-toolbox
export PYTEST_PLUGINS=pytest_toolbox

%:
	dh $@ --buildsystem=pybuild

=== debian/tests/control ===
Tests: upstream
Depends:
 @,
 python3-all,
 python3-pydantic,
 python3-pytest,
 python3-py,
 python3-pytest-timeout,
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v([\d\.]+)\.tar\.gz/python-pytest-toolbox-$1.tar.gz/ \
https://github.com/samuelcolvin/pytest-toolbox/releases \
/samuelcolvin/pytest-toolbox/archive/refs/tags/v([\d\.]+)\.tar\.gz
